@import url('https://fonts.googleapis.com/css2?family=Josefin+Sans:ital,wght@0,100..700;1,100..700&display=swap');
* {
  margin: 0;
  padding: 0;
  box-sizing: border-box;
  font-family: 'Josefin Sans', sans-serif;
}

html,
body {
  height: 100%;
  background-image: url(images/bg-pattern-desktop.svg);
  background-size: cover;
  overflow: hidden;
}

.container {
  display: flex;
  align-items: center;
  justify-content: center;
  width: 100%;
  height: 100vh;
  position: relative;
}
.logo {
  position: absolute;
  top: 60px;
}

.left-side {
  width: 40%;
  margin-left: 340px;
  display: flex;
  flex-direction: column;
}

h1 {
  color: hsl(0, 6%, 24%);
  font-size: 50px;
  font-weight: bold;
  line-height: 70px;
}

span {
  color: hsl(0, 36%, 70%);
  font-weight: 300;
  font-size: 50px;
}

.right-side {
  flex: 1;
  height: 100%;
}

.right-img {
  height: 100vh;
  width: 100%;
  object-fit: cover;
  object-position: top;
}

.p-text {
  color: hsl(0, 36%, 70%);
  line-height: 25px;
  width: 435px;
  margin-top: 40px;
  margin-bottom: 40px;
}

form {
  display: flex;
  align-items: center;
}

#email {
  padding: 15px 20px;
  width: 400px;
  border: 0.5px solid hsla(0, 36%, 70%, 0.5);
  border-radius: 20px;
  position: relative;
  outline: 0;
}

::placeholder {
  color: hsl(0, 36%, 70%);
}

button {
  padding: 11px 15px;
  background: linear-gradient(135deg, hsl(0, 80%, 86%), hsl(0, 74%, 74%));
  border-radius: 23px;
  outline: 0;
  border: none;
  width: 80px;
  position: absolute;
  left: 705px;
  box-shadow: -4px 8px 10px hsl(0, 77%, 80%);
  cursor: pointer;
}

.icon-error {
  display: none;
  position: absolute;
  right: 65%;
}

.error-msg {
  display: none;
  color: hsl(0, 93%, 68%);
  padding: 13px 20px;
  font-size: 13px;
}

@media only screen and (max-width: 375px) {
  html,
  body {
    overflow-x: auto;
  }

  .container {
    margin-left: -200px;
    flex-direction: column-reverse;
    position: relative;
    padding: 20px;
    width: 100%;
  }

  .logo {
    position: absolute;
    top: 20px;
    left: 240px;
    height: 20px;
  }

  h1 {
    font-size: 24px;
    line-height: 30px;
    text-align: center;
    width: 240px;
    margin-left: -15px;
    margin-top: 10px;
  }

  span {
    font-size: 24px;
    text-align: center;
  }

  .left-side {
    display: flex;
    flex-direction: column;
    justify-content: center;
  }

  .right-img {
    width: 417px;
    height: 250px;
    margin-left: 360px;
    margin-top: 50px;
    object-fit: cover;
    object-position: top;
  }

  .p-text {
    width: 350px;
    text-align: center;
    margin-left: -70px;
    margin-top: 10px;
  }

  #email {
    padding: 15px 20px;
    margin-bottom: 14px;
  }

  button {
    bottom: 10px;
    left: 115%;
    margin-bottom: 25px;
  }
}
